All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Copy
Initialization

The set of copy initialization operations available in the library. More...

## Copy

Copy methods for various type signals. Copy methods operate on signal data given as a pointer to the underlying data-type (e.g. 8-bit vectors would be passed as pointers to Npp8u type) and length of the vectors, i.e. the number of items.
NppStatus | nppsCopy_8u_Ctx (const Npp8u *pSrc, Npp8u *pDst, int nLength, NppStreamContext nppStreamCtx)
| 8-bit unsigned char, vector copy method More...
NppStatus | nppsCopy_8u (const Npp8u *pSrc, Npp8u *pDst, int nLength)
NppStatus | nppsCopy_16s_Ctx (const Npp16s *pSrc, Npp16s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit signed short, vector copy method. More...
NppStatus | nppsCopy_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength)
NppStatus | nppsCopy_32s_Ctx (const Npp32s *pSrc, Npp32s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit signed integer, vector copy method. More...
NppStatus | nppsCopy_32s (const Npp32s *pSrc, Npp32s *pDst, int nLength)
NppStatus | nppsCopy_32f_Ctx (const Npp32f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit float, vector copy method. More...
NppStatus | nppsCopy_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsCopy_64s_Ctx (const Npp64s *pSrc, Npp64s *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit signed integer, vector copy method. More...
NppStatus | nppsCopy_64s (const Npp64s *pSrc, Npp64s *pDst, int nLength)
NppStatus | nppsCopy_16sc_Ctx (const Npp16sc *pSrc, Npp16sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 16-bit complex short, vector copy method. More...
NppStatus | nppsCopy_16sc (const Npp16sc *pSrc, Npp16sc *pDst, int nLength)
NppStatus | nppsCopy_32sc_Ctx (const Npp32sc *pSrc, Npp32sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit complex signed integer, vector copy method. More...
NppStatus | nppsCopy_32sc (const Npp32sc *pSrc, Npp32sc *pDst, int nLength)
NppStatus | nppsCopy_32fc_Ctx (const Npp32fc *pSrc, Npp32fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit complex float, vector copy method. More...
NppStatus | nppsCopy_32fc (const Npp32fc *pSrc, Npp32fc *pDst, int nLength)
NppStatus | nppsCopy_64sc_Ctx (const Npp64sc *pSrc, Npp64sc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit complex signed integer, vector copy method. More...
NppStatus | nppsCopy_64sc (const Npp64sc *pSrc, Npp64sc *pDst, int nLength)
NppStatus | nppsCopy_64fc_Ctx (const Npp64fc *pSrc, Npp64fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit complex double, vector copy method. More...
NppStatus | nppsCopy_64fc (const Npp64fc *pSrc, Npp64fc *pDst, int nLength)

## Detailed Description

The set of copy initialization operations available in the library.

## Function Documentation

NppStatus nppsCopy_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_16s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_16sc | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_16sc_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit complex short, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex float, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_32s | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_32s_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_32sc | ( | const Npp32sc * | pSrc,
|  | Npp32sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_32sc_Ctx | ( | const Npp32sc * | pSrc,
|  | Npp32sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit complex signed integer, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit complex double, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_64s | ( | const Npp64s * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_64s_Ctx | ( | const Npp64s * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed integer, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_64sc | ( | const Npp64sc * | pSrc,
|  | Npp64sc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_64sc_Ctx | ( | const Npp64sc * | pSrc,
|  | Npp64sc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit complex signed integer, vector copy method.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsCopy_8u | ( | const Npp8u * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsCopy_8u_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char, vector copy method

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2020 NVIDIA Corporation